class DoorBehavior2 extends Sup.Behavior {
  update() {
    let girl = Sup.getActor("Player");
    if (Sup.ArcadePhysics2D.collides(girl.arcadeBody2D, this.actor.arcadeBody2D)) {
      this.actor.destroy();
      // next scene
      Sup.loadScene("Part 3/Scene");
    }
  }
}
Sup.registerBehavior(DoorBehavior2);
